Download it now!
Bug 122271 - Tabbed Notebook Bar (Impress) View (Review) button 'Spelling' does nothing
Summary: Tabbed Notebook Bar (Impress) View (Review) button 'Spelling' does nothing
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
6.2.0.1 rc
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:6.3.0 target:6.2.0.2
Keywords:
Depends on:
Blocks: Notebookbar-Tabbed
  Show dependency treegraph
 
Reported: 2018-12-21 17:27 UTC by Drew Jensen
Modified: 2018-12-23 21:29 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Drew Jensen 2018-12-21 17:27:56 UTC
Test system Ubuntu 18.04.1 (AMD64), LO 6.2.0.1 RC1 (GTK3)

To Reproduce:

1 - Open any Impress file with Tabbed Notebook Bar UI
2 - Switch to the Review tab
3 - Click on the 'Spelling' button

result:
Nothing happens (highlight some text and try, same result)

Expected
Spelling dialog opens.
Comment 1 Roman Kuznetsov 2018-12-21 20:40:10 UTC
confirm in

Версия: 6.2.0.1
ID сборки: 0412ee99e862f384c1106d0841a950c4cfaa9df1
Потоков ЦП: 4; ОС:Linux 4.13; Отрисовка ИП: по умолчанию; VCL: gtk3; 
Локаль: ru-RU (ru_RU.UTF-8); UI-Language: ru-RU
Calc: threaded
Comment 2 andreas_k 2018-12-22 13:58:22 UTC
thanks for the bug report, patch is prepared.
Comment 3 Drew Jensen 2018-12-22 18:49:24 UTC
(In reply to andreas_k from comment #2)
> thanks for the bug report, patch is prepared.

Excellent, will look for it the daily builds. Thanks for the quick attention.
Comment 4 Commit Notification 2018-12-22 20:53:44 UTC
andreas kainz committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/28a1ae3285aad77e238c698bd8d496006c881f6d%5E%21

tdf#122271 NB Impress use the wrong SpellDialog command

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Commit Notification 2018-12-23 21:29:31 UTC
andreas kainz committed a patch related to this issue.
It has been pushed to "libreoffice-6-2":

https://git.libreoffice.org/core/+/2ae02737b2e1277b72bedfb585e87102a654cd26%5E%21

tdf#122271 NB Impress use the wrong SpellDialog command

It will be available in 6.2.0.2.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.